From: Daniel van Vugt <daniel.van.vugt@canonical.com>
Date: Mon, 7 Dec 2020 18:09:05 +0000
Subject: desktopManager: Avoid scheduling multiple _layoutChildren idlers

Origin: https://gitlab.gnome.org/World/ShellExtensions/desktop-icons/-/merge_requests/191
Bug-Ubuntu: https://bugs.launchpad.net/bugs/1898005
Forwarded: yes
Last-Update: 2020-11-27
---
 desktopManager.js | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/desktopManager.js b/desktopManager.js
index 392220d..7d4b562 100644
--- a/desktopManager.js
+++ b/desktopManager.js
@@ -651,7 +651,8 @@ var DesktopManager = GObject.registerClass({
 
         Object.values(this._desktopGrids).forEach((grid) => grid.reset());
 
-        this._layoutChildrenId = GLib.idle_add(GLib.PRIORITY_LOW, () => this._layoutChildren());
+        if (!this._layoutChildrenId)
+            this._layoutChildrenId = GLib.idle_add(GLib.PRIORITY_LOW, () => this._layoutChildren());
 
         return GLib.SOURCE_REMOVE;
     }
